
package de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis;

import de.ivu.document.generator.template.BaseDocument;
import de.ivu.document.generator.template.annotations.DocumentSimpleField;
import de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintrag;
import de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt;
import de.ivu.elect.dokumente.BaseElectContext;

/**
 * ÄNDERUNGEN AN DIESER KLASSE MÜSSEN IN DEN ErgebnisLogEintragArt NACHGEZOGEN WERDEN! {@link de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt}
 */
public class ErgebnisLogEintragDokument extends BaseDocument {

  private static final long serialVersionUID = 1L;

  @DocumentSimpleField("LogText")
  public final String logText;

  @DocumentSimpleField("LogArt")
  public final String logArt;

  @DocumentSimpleField("IsInfo")
  public final boolean isInfo;

  @DocumentSimpleField("IsHinweis")
  public final boolean isHinweis;

  @DocumentSimpleField("IsWarnung")
  public final boolean isWarnung;

  @DocumentSimpleField("IsFehler")
  public final boolean isFehler;

  @DocumentSimpleField("IsTitel")
  public final boolean isTitel;

  @DocumentSimpleField("IsUeberschrift1")
  public final boolean isUeberschrift1;

  @DocumentSimpleField("IsUeberschrift2")
  public final boolean isUeberschrift2;

  @DocumentSimpleField("IsUeberschrift3")
  public final boolean isUeberschrift3;

  @DocumentSimpleField("IsBesonderheit")
  public final boolean isBesonderheit;

  @DocumentSimpleField("IsLeereZeile")
  public final boolean isLeereZeile;

  public ErgebnisLogEintragDokument(BaseElectContext baseElectContext, ErgebnisLogEintrag ergebnisLogEintrag) {
    super();

    ErgebnisLogEintragArt ergebnisLogEintragArt = ergebnisLogEintrag.getErgebnisLogEintragArt();

    this.logText = ergebnisLogEintrag.getText();
    this.logArt = baseElectContext.getMessage(ergebnisLogEintragArt);
    this.isInfo = ErgebnisLogEintragArt.INFO.equals(ergebnisLogEintragArt);
    this.isHinweis = ErgebnisLogEintragArt.HINWEIS.equals(ergebnisLogEintragArt);
    this.isWarnung = ErgebnisLogEintragArt.WARNUNG.equals(ergebnisLogEintragArt);
    this.isFehler = ErgebnisLogEintragArt.FEHLER.equals(ergebnisLogEintragArt);
    this.isTitel = ErgebnisLogEintragArt.TITEL.equals(ergebnisLogEintragArt);
    this.isUeberschrift1 = ErgebnisLogEintragArt.UEBERSCHRIFT1.equals(ergebnisLogEintragArt);
    this.isUeberschrift2 = ErgebnisLogEintragArt.UEBERSCHRIFT2.equals(ergebnisLogEintragArt);
    this.isUeberschrift3 = ErgebnisLogEintragArt.UEBERSCHRIFT3.equals(ergebnisLogEintragArt);
    this.isBesonderheit = ErgebnisLogEintragArt.BESONDERHEIT.equals(ergebnisLogEintragArt);
    this.isLeereZeile = ErgebnisLogEintragArt.LEERE_ZEILE.equals(ergebnisLogEintragArt);
  }
}
